com.sun.jna.platform.win32.COM

## Class IDispatch

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.IUnknown
    - - com.sun.jna.platform.win32.COM.IDispatch

- All Implemented Interfaces:
    NativeMapped
  Direct Known Subclasses:
    IDispatch.ByReference

      public class IDispatch
      extends IUnknown

  Wrapper class for the IDispatch interface IDispatch.GetTypeInfoCount 12 IDispatch.GetTypeInfo 16 IDispatch.GetIDsOfNames 20 IDispatch.Invoke 24
  Author:
    Tobias Wolf, wolf.tobias@gmx.net

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IDispatch.ByReference` The Class ByReference.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Guid.IID` | `IID_IDispatch` The Constant IID_IDispatch.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDispatch()` Instantiates a new i dispatch.
    `IDispatch(Pointer pvInstance)` Instantiates a new i dispatch.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinNT.HRESULT` | `GetIDsOfNames(Guid.IID riid, WString[] rgszNames, int cNames, WinDef.LCID lcid, OaIdl.DISPIDByReference rgDispId)` Gets the i ds of names.
    `WinNT.HRESULT` | `GetTypeInfo(WinDef.UINT iTInfo, WinDef.LCID lcid, PointerByReference ppTInfo)` Gets the type info.
    `WinNT.HRESULT` | `GetTypeInfoCount(IntByReference pctinfo)` Gets the type info count.
    `WinNT.HRESULT` | `Invoke(OaIdl.DISPID dispIdMember, Guid.IID riid, WinDef.LCID lcid, OaIdl.DISPID wFlags, OleAuto.DISPPARAMS pDispParams, Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, IntByReference puArgErr)` Invoke.

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.IUnknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IID_IDispatch

          public static final Guid.IID IID_IDispatch

      The Constant IID_IDispatch.

  - ### Constructor Detail

    - #### IDispatch

          public IDispatch()

      Instantiates a new i dispatch.

    - #### IDispatch

          public IDispatch(Pointer pvInstance)

      Instantiates a new i dispatch.
      Parameters:
        `pvInstance` - the pv instance

  - ### Method Detail

    - #### GetTypeInfoCount

          public WinNT.HRESULT GetTypeInfoCount(IntByReference pctinfo)

      Gets the type info count.
      Parameters:
        `pctinfo` - the pctinfo
      Returns:
        the hresult

    - #### GetTypeInfo

          public WinNT.HRESULT GetTypeInfo(WinDef.UINT iTInfo,
                                  WinDef.LCID lcid,
                                  PointerByReference ppTInfo)

      Gets the type info.
      Parameters:
        `iTInfo` - the i t info
        `lcid` - the lcid
        `ppTInfo` - the pp t info
      Returns:
        the hresult

    - #### GetIDsOfNames

          public WinNT.HRESULT GetIDsOfNames(Guid.IID riid,
                                    WString[] rgszNames,
                                    int cNames,
                                    WinDef.LCID lcid,
                                    OaIdl.DISPIDByReference rgDispId)

      Gets the i ds of names.
      Parameters:
        `riid` - the riid
        `rgszNames` - the rgsz names
        `cNames` - the c names
        `lcid` - the lcid
        `rgDispId` - the rg disp id
      Returns:
        the hresult

    - #### Invoke

          public WinNT.HRESULT Invoke(OaIdl.DISPID dispIdMember,
                             Guid.IID riid,
                             WinDef.LCID lcid,
                             OaIdl.DISPID wFlags,
                             OleAuto.DISPPARAMS pDispParams,
                             Variant.VARIANT.ByReference pVarResult,
                             OaIdl.EXCEPINFO.ByReference pExcepInfo,
                             IntByReference puArgErr)

      Invoke.
      Parameters:
        `dispIdMember` - the disp id member
        `riid` - the riid
        `lcid` - the lcid
        `wFlags` - the w flags
        `pDispParams` - the disp params
        `pVarResult` - the var result
        `pExcepInfo` - the excep info
        `puArgErr` - the pu arg err
      Returns:
        the hresult

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.